Требования

Материал из Eludia
Перейти к: навигация, поиск

В этой заметке описан минимальный набор ПО, необходимый для работы с Eludia.pm.

ОС

Из UNIX-образных ОС известны рабочие инсталляции Eludia.pm на

  • Linux:
    • Debian начиная с версии 3.x;
    • Red Hat начиная с версии 5.x;
  • FreeBSD начиная с версии 4.x;
  • [www.hp.com/products1/unix/ HP UX] версии 11.3.

Другие варианты UNIX/Linux не были испробованы. Каких-либо конфликтов возникать не должно.

Кроме того, Eludia.pm показала свою работоспособность на следующих вариантах Windows NT:

  • Windows 2000;
  • Windows XP;
  • Windows 2003 Server;
  • Windows Vista Home Premium.

Любая другая Windows NT также должна подойти. Эксперименты с DOS .. Windows ME не проводились и, скорее всего, уже интереса не представляют.

Perl

Eludia.pm написана на Perl, и среда программирования в комплект ПО не входит. Поддерживаются версии Perl не ранее 5.8.x. В UNIX/Linux Perl входит в поставку и обновляется штатными средствами системы. Либо устанавливается из исходных текстов.

Для Windows можно воспользоваться:

СУБД

Для функционирования приложения на базе Eludia.pm необходима реляционная СУБД. В настоящее время поддерживаются:

Если вам необходимо использовать иную реляционную СУБД, доступную через интерфейс DBI, то разработка соответствующего переходника для Eludia.pm — дело одного-двух рабочих дней.

Персональные инструменты
Пространства имён

Варианты
Действия
Навигация
Разработчику
Администратору
Инструменты